Package Details: rtl8821ce-dkms-git 1.0.5.r36.gca4abd8-1

Git Clone URL: https://aur.archlinux.org/rtl8821ce-dkms-git.git (read-only, click to copy)
Package Base: rtl8821ce-dkms-git
Description: rtl8821CE driver with firmware
Upstream URL: https://github.com/tomaspinho/rtl8821ce
Keywords: dkms git rtl8821ce
Licenses: GPL2
Conflicts: rtl8821ce
Submitter: tomaspinho
Maintainer: tomaspinho
Last Packager: tomaspinho
Votes: 22
Popularity: 4.23
First Submitted: 2018-03-04 12:12
Last Updated: 2019-12-22 19:26

Dependencies (6)

Required by (0)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

tomaspinho commented on 2019-03-08 20:38

@harryyoud yes, you are right. I've pushed a fix. Thanks for the heads up. :)

harryyoud commented on 2019-03-08 15:06

I think something is broken on the versioning of the package. Every time I ask trizen to do a full system upgrade this pops up for an upgrade everytime. Something with pkgver() isn't agreeing between the AUR PKBUILD and the GitHub one (r32 vs r16)

tomaspinho commented on 2019-03-07 17:10

A fix for Linux 5.0 has been merged upstream and I've bumped the version.

b1tninja commented on 2019-03-07 11:59

inline patch... no version check, so not the best... but if you're on the new 5x kernel and need this https://gist.github.com/b1tninja/18b65b21eb849af32e3a4a20ba4be545

dxxvi commented on 2019-03-06 02:18

I didn't have any issue while running yay -Syu and upgrading to the 5.0 kernel. But after that, the RTL8821CE 802.11ac PCIe Wireless Network Adapter is not seen with ip addr but is still listed with lspci. What should I do now?

ebrilow commented on 2019-03-06 02:05

Fix for trouble with update to 5.0 kernel

In (629:24) ./rtl8821ce/os_dep/linux/rtw_android.c remove first parameter

if (!access_ok(VERIFY_READ, priv_cmd.buf, priv_cmd.total_len))

to

if (!access_ok(priv_cmd.buf, priv_cmd.total_len))

FreddieChopin commented on 2019-03-02 12:42

Somehow the DKMS fails to build because of:

/var/lib/dkms/rtl8821ce/1.0.1.r28.g960279a/build/core/rtw_debug.c: In function ‘dump_drv_version’:
/var/lib/dkms/rtl8821ce/1.0.1.r28.g960279a/build/core/rtw_debug.c:50:62: error: macro "__DATE__" might prevent reproducible builds [-Werror=date-time]
  RTW_PRINT_SEL(sel, "build time: %s %s\n", __DATE__, __TIME__);
                                                              ^
/var/lib/dkms/rtl8821ce/1.0.1.r28.g960279a/build/core/rtw_debug.c:50:62: error: macro "__TIME__" might prevent reproducible builds [-Werror=date-time]
/var/lib/dkms/rtl8821ce/1.0.1.r28.g960279a/build/core/rtw_debug.c:50:62: error: macro "__DATE__" might prevent reproducible builds [-Werror=date-time]
/var/lib/dkms/rtl8821ce/1.0.1.r28.g960279a/build/core/rtw_debug.c:50:62: error: macro "__TIME__" might prevent reproducible builds [-Werror=date-time]

But magically installing bc package solves this problem... Weird...

tomaspinho commented on 2019-01-28 23:02

@Knecker really glad to hear that! Thanks for the kind words :)

Knecker commented on 2019-01-28 21:09

I just came by to thank you very very much for this driver package! Without, I could not have made the switch from Windows to Linux and now I am running with Manjaro / Arch and left the evil times behind :) So again, thank you very much for your efforts!

swillber commented on 2019-01-25 17:48

That fixed it, many thanks :-)

And again thanks for maintaining this.